//
//  NoticeRepository.swift
//  SodaLive
//
//  Created by klaus on 2023/08/10.
//

import Foundation
import CombineMoya
import Combine
import Moya

final class NoticeRepository {
    
    private let api = MoyaProvider<NoticeApi>()
    
    func getNotices() -> AnyPublisher<Response, MoyaError> {
        return api.requestPublisher(.getNotices)
    }
}

